%define upstream_name    Inline-Python
%define upstream_version 0.49

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Easy implementation of Python extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5) >= 2.500.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Inline) >= 0.460.0
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRequires: python-devel
%description
The 'Inline::Python' module allows you to put Python source code directly
"inline" in a Perl script or module. It sets up an in-process Python
interpreter, runs your code, and then examines Python's symbol table for
things to bind to Perl. The process of interrogating the Python interpreter
for globals only occurs the first time you run your Python code. The
namespace is cached, and subsequent calls use the cached version.

This document describes 'Inline::Python', the Perl package which gives you
access to a Python interpreter. For lack of a better place to keep it, it
also gives you instructions on how to use 'perlmodule', the Python package
which gives you access to the Perl interpreter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README TESTED
%{_mandir}/man3/*
%perl_vendorarch/Inline
%perl_vendorarch/auto/Inline

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.490.0-3.mga6
+ Revision: 1028587
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.490.0-2.mga6
+ Revision: 957541
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.490.0-1.mga6
+ Revision: 843154
- update to 0.49

* Wed Oct 15 2014 umeabot <umeabot> 0.450.0-3.mga5
+ Revision: 742044
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.450.0-2.mga5
+ Revision: 685135
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 0.450.0-1.mga5
+ Revision: 672890
- update to 0.45

* Wed Sep 03 2014 sander85 <sander85> 0.440.0-1.mga5
+ Revision: 671378
- update to 0.44

* Tue Jun 03 2014 pterjan <pterjan> 0.430.0-3.mga5
+ Revision: 631306
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.430.0-2.mga4
+ Revision: 534571
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 sander85 <sander85> 0.430.0-1.mga4
+ Revision: 478450
- update to 0.43

* Sun Jun 02 2013 jquelin <jquelin> 0.420.0-1.mga4
+ Revision: 434550
- update to 0.42
- reverting patch
- fix non-zero wait status during tests

  + tv <tv>
    - rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.410.0-2.mga3
+ Revision: 368745
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.410.0-1.mga3
+ Revision: 317680
- update to 0.41

* Wed May 30 2012 jquelin <jquelin> 0.400.0-2.mga3
+ Revision: 250780
- rebuild for perl 5.16
- update to 0.40

* Sun Jun 12 2011 sander85 <sander85> 0.390.0-2.mga2
+ Revision: 105310
- fix test
- Rebuild for perl 5.14

* Sun Mar 13 2011 jquelin <jquelin> 0.390.0-1.mga1
+ Revision: 70532
- update to 0.39
- mageia rebuild
- imported package perl-Inline-Python

